import request from '/@/utils/request';
/**
 * @summary 获取所有监测删除操作
 */
export const GetAllMonitorDeleteOpsLevel = async (req: any = request) => {
	return req({
		url: '/Monitor/Delete/Ops/GetAll@V1.0',
		method: 'get',
	});
};

/**
 * @summary 添加一个监测删除操作
 */
export const InsertAMonitorDeleteOpsLevel = async (data, req: any = request) => {
	return req({
		url: '/Monitor/Delete/Ops/Insert@V1.0',
		method: 'post',
		data,
	});
};

/**
 * @summary 修改一个监测删除操作
 */
export const UpdateAMonitorDeleteOpsLevel = async (data, req: any = request) => {
	return req({
		url: '/Monitor/Delete/Ops/Update@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 修改监测删除操作排序码
 */
export const UpdateMonitorDeleteOpsLevelSorter = async (data, req: any = request) => {
	return req({
		url: '/Monitor/Delete/Ops/UpdateSorter@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 删除一个监测删除操作
 */
export const DeleteAMonitorDeleteOpsLevel = async (params, req: any = request) => {
	return req({
		url: '/Monitor/Delete/Ops/DeleteByID@V1.0',
		method: 'delete',
		params,
	});
};

/**
 *
 * @summary 设置 ★更新方法的状态
 */
export async function UpdateUseStatus(params, req: any = request) {
	return req({
		url: '/Monitor/Delete/Ops/UpdateUseStatus@V1.0',
		method: 'PUT',
		data: params,
	});
}
